****************************************************************************************************************
****************************************************************************************************************
***Author: Sergi Vidal [svidal@ced.uab.es]; Philipp M. Lersch  
***Project: Vidal, Sergi and Philipp M. Lersch. 2019. “Changes in gender role attitudes following couples' residential relocations.” Demographic Research 40:1111–1152.
***Data set: British Household Panel Survey Waves 1-18 (UK Data Archive Study Number 5151); British Household Panel Survey, Waves 1-18, 1991-2009: Conditional Access, Local Authority Districts (UK Data Archive Study Number 6027)  
****************************************************************************************************************
****************************************************************************************************************

global directory_workfolder "C:\XXXXX"   /*Your working directory*/
global directory_BHPS "T:\XXXX" /*Directory for British Household Panel Survey Waves 1-18 (UK Data Archive Study Number 5151)*/
global directory_BHPS_lad "U:\XXXX" /*Directory for British Household Panel Survey, Waves 1-18, 1991-2009: Conditional Access, Local Authority Districts (UK Data Archive Study Number 6027) */

*****************************************************
**MASTER**
*****************************************************

version 14.0
capture log close
set scheme plottigblind
graph set window fontface "Times New Roman"
graph set eps fontface Times
set cformat %9.4f, permanently 																		 
set pformat %5.3f, permanently 																			
set showbaselevels on, permanently
set more off

***ado files
ssc install coefplot, replace all
ssc install blindschemes, replace all
ssc install xtdpdml, replace all

***select work folders
global output "$directory_workfolder\Output"
global data "$directory_BHPS"
global lad "$directory_BHPS_lad"
global regional "$directory_workfolder\Regional_data"
global code "$directory_workfolder\Code"
global log "$directory_workfolder\Log"
global table "$directory_workfolder\Tables"
global graph "$directory_workfolder\Graphs"

***create work folders
foreach folder in Output Log Tables Graphs{
	shell mkdir "$directory_workfolder/`folder'"
	}
	
cd "$output"

log using "$log/log_$S_DATE.log", append

****************************************************************************************************************
***RETRIEVAL

do "$code/retrieval.do"

do "$code/urban.do"

label data "$S_DATE BHPS 1991-2009 Long format Vidal/Lersch"

save "$output/retrieval",replace

****************************************************************************************************************
***GENERATING VARIABLES

do "$code/generate.do"

save "$output/generated",replace

****************************************************************************************************************
***SAMPLE SELECTION

do "$code/sample.do"

save "$output/prepared",replace

****************************************************************************************************************
***DESCRIPTIVES

do "$code/descriptive"

****************************************************************************************************************
***MULTIVARIATE ANALYSIS

do "$code/regression"

do "$code/sensitivity_GRA6items"

do "$code/selection"

log close

**last line


