****************************************************************************************************************
****************************************************************************************************************
***Author: Sergi Vidal [svidal@ced.uab.es]; Philipp M. Lersch 
***Project: Vidal, Sergi and Philipp M. Lersch. 2019. “Changes in gender role attitudes following couples' residential relocations.” Demographic Research 40:1111–1152.
***Data set: British Household Panel Survey Waves 1-18 (UK Data Archive Study Number 5151); British Household Panel Survey, Waves 1-18, 1991-2009: Conditional Access, Local Authority Districts (UK Data Archive Study Number 6027)  
****************************************************************************************************************
****************************************************************************************************************

******************************************************
**S E C O N D A R Y (primary: MASTER.do)**
******************************************************


****************************************************************************************************************
****************************************************************************************************************
********sample selection
****************************************************************************************************************
****************************************************************************************************************

use "$output/generated",clear

**age restriction
keep if age<65

***Original sample, Scotland and Wales extension
tab memorig
keep if memorig==1 | memorig==5 |memorig==6

***only full interviews
keep if ivfio==1

***only couple households
keep if hhtype>2 & hhtype<6

***only household heads and their partners
tab hgr2r
keep if hgr2r<4
tab svyyear

drop if missing(partnerhh)
drop if partnerhh==0

distinct pid 

***only years with ideology observation
keep if svyyear==1991 | svyyear==1993 | svyyear==1995 | svyyear==1997 | svyyear==1999 | svyyear==2001 | svyyear==2003 | svyyear==2005 | svyyear==2007 

distinct pid 

***no missing cases
mark sample
markout sample z_ideologya move_before move_repeated timesincelastmove age svyyear hhinclog empl jobhours  p_empl p_jobhours married children homeowner househours hsroom urban woman 

distinct pid if sample==1
distinct pid if sample==1 & woman==1
distinct pid if sample==1 & woman==0

drop jbstat hhtype partnerhh hgr2r

qui: xtreg z_ideologya move_before move_repeated timesincelastmove c.age b1993.svyyear married b0.children hhinclog empl jobhours p_empl p_jobhours b1.casmin2 househours homeowner hsroom urban
gen analyticalsample= e(sample)
keep if analyticalsample==1
drop analyticalsample

distinct pid if sample==1
distinct pid if sample==1 & woman==1
distinct pid if sample==1 & woman==0

**last line


