****************************************************************************************************************
****************************************************************************************************************
***Author: Sergi Vidal [svidal@ced.uab.es]; Philipp M. Lersch 
***Project: Vidal, Sergi and Philipp M. Lersch. 2019. “Changes in gender role attitudes following couples' residential relocations.” Demographic Research 40:1111–1152.
***Data set: British Household Panel Survey Waves 1-18 (UK Data Archive Study Number 5151); British Household Panel Survey, Waves 1-18, 1991-2009: Conditional Access, Local Authority Districts (UK Data Archive Study Number 6027)  
****************************************************************************************************************
****************************************************************************************************************

******************************************************
**S E C O N D A R Y (primary: MASTER.do)**
******************************************************


****************************************************************************************************************
****************************************************************************************************************
********urban rural
****************************************************************************************************************
****************************************************************************************************************

preserve 

insheet using "$regional/la-class-dataset-pre0409-boundaries.csv", n clear delimiter(";")
		
gen urban=0 if  numericalclassification==5 |  numericalclassification==6
replace urban=1 if  numericalclassification>0 &  numericalclassification<5

lab var urban "Urbanisation" 
lab def urban 0 "Rural" 1 "Urban",modify
lab val urban urban

rename districtcode lad

keep lad urban

sort lad

save "$output/temp_england urban", replace

insheet using "$regional/urban scotland.csv", n clear delimiter(";")
		
rename urban urban2

gen scot=1

sort lad

save "$output/temp_scotland urban", replace

local year=1991     
foreach w in  a b c d e f g h i j k l m n o p q r {
	use `w'hid `w'lad using "$directory_BHPS_lad/`w'lad", clear
	renvars `w'hid `w'lad ,predrop(1)	
	gen svyyear=`year'        
	save "$output/temp_`w'lad", replace     
	local year=`year'+1
	}
	
use "$output/temp_alad", clear             
foreach w in b c d e f g h i j k l m n o p q r {
	append using "$output/temp_`w'lad"
	}


merge m:m lad using "$output/temp_scotland urban",nogen	
merge m:m lad using "$output/temp_england urban",nogen

replace urban=urban2 if scot==1
	
keep hid svyyear urban
sort hid svyyear
save "$output/temp_bhps urban", replace  

restore

merge m:m hid svyyear using "$output/temp_bhps urban", nogen keep(1 3)

replace urban=0 if region2==10

 *last line
